<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="c2a6105d-fa6b-4668-acbb-2420fcb68ac8" name="Default Changelist" comment="Test Jenkins">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/company/Main.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/company/Main.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeInsightWorkspaceSettings">
    <option name="optimizeImportsOnTheFly" value="true" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/company/Main.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="102">
              <caret line="6" column="32" selection-start-line="6" selection-start-column="32" selection-end-line="6" selection-end-column="32" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/company/pages/backend/EmailConfirmation.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="391">
              <caret line="35" column="57" selection-start-line="35" selection-start-column="57" selection-end-line="35" selection-end-column="57" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="221">
              <caret line="13" column="54" selection-start-line="13" selection-start-column="54" selection-end-line="13" selection-end-column="54" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/company/tests/backend/UserTests.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="172">
              <caret line="31" column="9" selection-start-line="31" selection-start-column="9" selection-end-line="31" selection-end-column="9" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/company/core/functionality/Browser.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="2" column="17" selection-start-line="2" selection-start-column="17" selection-end-line="2" selection-end-column="17" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/company/core/functionality/ChromeBrowser.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="204">
              <caret line="20" column="118" selection-start-line="20" selection-start-column="118" selection-end-line="20" selection-end-column="118" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#298#299#0" expanded="true" />
                <element signature="e#346#347#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/company/pages/backend/UserRegistration.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="323">
              <caret line="27" column="85" selection-start-line="27" selection-start-column="85" selection-end-line="27" selection-end-column="85" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/company/FirstTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/functionality/FirstTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/company/tests/FirstTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/company/tests/backend/FirstTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/company/backend/UserLogin.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/company/pages/backend/UserLogin.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/company/core/functionality/Browser.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/company/core/functionality/ChromeBrowser.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/company/pages/backend/UserRegistration.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/company/pages/backend/EmailConfirmation.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/company/tests/backend/UserTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/company/Main.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="134" />
    <option name="y" value="23" />
    <option name="width" value="1475" />
    <option name="height" value="898" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Trivago" type="b2602c69:ProjectViewProjectNode" />
              <item name="Trivago" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Trivago" type="b2602c69:ProjectViewProjectNode" />
              <item name="Trivago" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Trivago" type="b2602c69:ProjectViewProjectNode" />
              <item name="Trivago" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Trivago" type="b2602c69:ProjectViewProjectNode" />
              <item name="Trivago" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Trivago" type="b2602c69:ProjectViewProjectNode" />
              <item name="Trivago" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="company" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Trivago" type="b2602c69:ProjectViewProjectNode" />
              <item name="Trivago" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="company" type="462c0819:PsiDirectoryNode" />
              <item name="functionality" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Trivago" type="b2602c69:ProjectViewProjectNode" />
              <item name="Trivago" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="company" type="462c0819:PsiDirectoryNode" />
              <item name="backend" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Trivago" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="Downloaded.Files.Path.Enabled" value="false" />
    <property name="Repository.Attach.Annotations" value="false" />
    <property name="Repository.Attach.JavaDocs" value="false" />
    <property name="Repository.Attach.Sources" value="false" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.UserTests">
    <configuration name="Main" type="Application" factoryName="Application" temporary="true">
      <option name="MAIN_CLASS_NAME" value="com.company.Main" />
      <module name="Trivago" />
      <option name="WORKING_DIRECTORY" value="file://$PROJECT_DIR$" />
      <RunnerSettings RunnerId="Run" />
      <ConfigurationWrapper RunnerId="Run" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="FirstTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="Trivago" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.company.tests.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.company.tests" />
      <option name="MAIN_CLASS_NAME" value="com.company.tests.FirstTest" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="UserTests" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="Trivago" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.company.tests.backend.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.company.tests.backend" />
      <option name="MAIN_CLASS_NAME" value="com.company.tests.backend.UserTests" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="UserTests.successfulEmailConfirmation" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="Trivago" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.company.tests.backend.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.company.tests.backend" />
      <option name="MAIN_CLASS_NAME" value="com.company.tests.backend.UserTests" />
      <option name="METHOD_NAME" value="successfulEmailConfirmation" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.Main" />
      <item itemvalue="JUnit.FirstTest" />
      <item itemvalue="JUnit.UserTests" />
      <item itemvalue="JUnit.UserTests.successfulEmailConfirmation" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.UserTests" />
        <item itemvalue="JUnit.UserTests.successfulEmailConfirmation" />
        <item itemvalue="JUnit.FirstTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SQLPlugin.ProjectConfiguration">
    <queries />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="c2a6105d-fa6b-4668-acbb-2420fcb68ac8" name="Default Changelist" comment="" />
      <created>1564225693733</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1564225693733</updated>
      <workItem from="1564225699252" duration="20385000" />
      <workItem from="1564253178191" duration="357000" />
      <workItem from="1564253565397" duration="3162000" />
      <workItem from="1564256810412" duration="397000" />
      <workItem from="1567870122590" duration="172000" />
    </task>
    <task id="LOCAL-00001" summary="Test Jenkins">
      <created>1567870175433</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1567870175433</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="UserTests - 2019.07.27 at 22h 35m 04s.xml">
      <configuration name="UserTests" configurationId="JUnit" />
    </history-entry>
    <history-entry file="UserTests_successfulEmailConfirmation - 2019.07.27 at 22h 36m 52s.xml">
      <configuration name="UserTests.successfulEmailConfirmation" configurationId="JUnit" />
    </history-entry>
    <history-entry file="UserTests_successfulEmailConfirmation - 2019.07.27 at 22h 38m 12s.xml">
      <configuration name="UserTests.successfulEmailConfirmation" configurationId="JUnit" />
    </history-entry>
    <history-entry file="UserTests_successfulEmailConfirmation - 2019.07.27 at 22h 38m 47s.xml">
      <configuration name="UserTests.successfulEmailConfirmation" configurationId="JUnit" />
    </history-entry>
    <history-entry file="UserTests_successfulEmailConfirmation - 2019.07.27 at 22h 40m 08s.xml">
      <configuration name="UserTests.successfulEmailConfirmation" configurationId="JUnit" />
    </history-entry>
    <history-entry file="UserTests_successfulEmailConfirmation - 2019.07.27 at 22h 42m 37s.xml">
      <configuration name="UserTests.successfulEmailConfirmation" configurationId="JUnit" />
    </history-entry>
    <history-entry file="UserTests_successfulEmailConfirmation - 2019.07.27 at 22h 43m 34s.xml">
      <configuration name="UserTests.successfulEmailConfirmation" configurationId="JUnit" />
    </history-entry>
    <history-entry file="UserTests - 2019.07.27 at 22h 46m 26s.xml">
      <configuration name="UserTests" configurationId="JUnit" />
    </history-entry>
    <history-entry file="UserTests - 2019.07.27 at 22h 48m 38s.xml">
      <configuration name="UserTests" configurationId="JUnit" />
    </history-entry>
    <history-entry file="UserTests - 2019.07.27 at 22h 49m 30s.xml">
      <configuration name="UserTests" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="24473000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.24886535" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.3289689" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.4942717" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39934534" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="SQL" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.62520456" />
      <window_info anchor="bottom" id="Docker" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.39443535" />
      <window_info anchor="bottom" id="Database Changes" order="12" />
      <window_info anchor="bottom" id="Version Control" order="13" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Test Jenkins" />
    <option name="LAST_COMMIT_MESSAGE" value="Test Jenkins" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/company/tests/backend/backend.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/company/pages/backend/EmailConfirmation.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="35" column="57" selection-start-line="35" selection-start-column="57" selection-end-line="35" selection-end-column="57" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="13" column="54" selection-start-line="13" selection-start-column="54" selection-end-line="13" selection-end-column="54" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/company/core/functionality/Browser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="17" selection-start-line="2" selection-start-column="17" selection-end-line="2" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/company/core/functionality/ChromeBrowser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="20" column="118" selection-start-line="20" selection-start-column="118" selection-end-line="20" selection-end-column="118" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#298#299#0" expanded="true" />
            <element signature="e#346#347#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/company/pages/backend/UserRegistration.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="27" column="85" selection-start-line="27" selection-start-column="85" selection-end-line="27" selection-end-column="85" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/company/tests/backend/UserTests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="172">
          <caret line="31" column="9" selection-start-line="31" selection-start-column="9" selection-end-line="31" selection-end-column="9" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/company/Main.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" column="32" selection-start-line="6" selection-start-column="32" selection-end-line="6" selection-end-column="32" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>Trivago</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.46242774" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>